@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pico_cyw43_driver

A wrapper around the lower level cyw43_driver, that integrates it with pico_async_context for handling background work. More...

## Topics

| pico_btstack_cyw43
| Low-level Bluetooth HCI support.

## Files

file | btstack_hci_transport_cyw43.h
| Adds low level Bluetooth HCI support.

## Functions

const hci_transport_t * | hci_transport_cyw43_instance (void)
| Get the Bluetooth HCI transport instance for cyw43.
bool | cyw43_driver_init (struct async_context *context)
| Initializes the lower level cyw43_driver and integrates it with the provided async_context.
void | cyw43_driver_deinit (struct async_context *context)
| De-initialize the lowever level cyw43_driver and unhooks it from the async_context.

## Detailed Description

A wrapper around the lower level cyw43_driver, that integrates it with pico_async_context for handling background work.

## Function Documentation

## cyw43_driver_deinit()

void cyw43_driver_deinit | ( | struct async_context * | context | ) |

De-initialize the lowever level cyw43_driver and unhooks it from the async_context.

Parameters

  context | the async_context the cyw43_driver support was added to via cyw43_driver_init

## cyw43_driver_init()

bool cyw43_driver_init | ( | struct async_context * | context | ) |

Initializes the lower level cyw43_driver and integrates it with the provided async_context.

If the initialization succeeds, lwip_nosys_deinit() can be called to shutdown lwIP support

Parameters

  context | the async_context instance that provides the abstraction for handling asynchronous work.

Returns
  true if the initialization succeeded

## hci_transport_cyw43_instance()

const hci_transport_t * hci_transport_cyw43_instance | ( | void |  | ) |

Get the Bluetooth HCI transport instance for cyw43.

Returns
  An instantiation of the hci_transport_t interface for the cyw43 chipset